.button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 1.28rem;
  cursor: pointer;
  border: none;
  background: none;
  text-decoration: none;
  transition: all 300ms ease;
  width: -moz-fit-content;
  width: fit-content;
}
.button .button-text {
  font-family: "Montserrat", sans-serif;
  font-size: 1.6rem;
  font-weight: 600;
}
.button .button-icon {
  width: 0.7rem;
  height: 0.9rem;
  flex-shrink: 0;
  -o-object-fit: contain;
     object-fit: contain;
  display: inline-block;
}
@media (min-width: 768px) {
  .button .button-icon {
    width: 0.84rem;
    height: 1.08rem;
  }
}
.rtl .button .button-icon {
  transform: scaleX(-1);
}
.button .button-icon {
  margin-block-start: 0.2rem;
  transition: all 0.3s ease;
}
.rtl .button .button-icon {
  transform: scaleX(-1);
}
.button.primary {
  background-color: #00852c;
  color: #ffffff;
  border-radius: 1rem 1rem 1rem 0;
  width: 19.6rem;
  height: 4.3rem;
  padding: 0 3rem 0 3.5rem;
}
.rtl .button.primary {
  border-radius: 1rem 1rem 0 1rem;
}
.button.primary:hover {
  background-color: rgb(0, 107.5, 35.5639097744);
}
.button.primary:hover .button-icon {
  transform: translateX(0.4rem);
}
.rtl .button.primary:hover .button-icon {
  transform: scaleX(-1) translateX(0.4rem);
}
.button.secondary {
  background-color: #033324;
  color: #ffffff;
  border-radius: 1rem 1rem 1rem 0;
  width: 19.6rem;
  height: 4.3rem;
  padding: 0 3rem 0 3.5rem;
}
.rtl .button.secondary {
  border-radius: 1rem 1rem 0 1rem;
}
.button.secondary:hover {
  background-color: rgb(4.4166666667, 75.0833333333, 53);
}
.button.secondary:hover .button-icon {
  transform: translateX(0.4rem);
}
.rtl .button.secondary:hover .button-icon {
  transform: scaleX(-1) translateX(0.4rem);
}
